(*************************************************************************)
(*                     Modul Hauptsteuerung				 *)
(*************************************************************************)


 	(*************************************************)
	(*  Programmiert von Ulrike Schoop               *)
	(*  Aktueller Stand  : 28.April 1989             *)
	(*  Ueberarbeitet von A. Schmidt, 26.5.89        *)
	(*                                               *)
	(*        Version 2.0                            *)
	(*                                               *)
	(*************************************************)

PROGRAM Hauptsteuerung;

CONST (*$I TRIXCONS.PAS*)
TYPE  (*$I TRIXTYPE.PAS*)

(*$I TRIXSUBS.PAS*)

(*$I cons_typ.pas*)

VAR
     Werk         : tGedicht ;
     StrproGe     : tStrproGe;
     ok           : boolean;

   (*$I SCREEN.PAS*)
   (*$I zufall.pas*)
   (*$I zktypen.pas*)
   (*$I stroph2.pas*)
   (*$I gedichte.pas*)

PROCEDURE initialisiere;
  BEGIN
    init(ok);
    StrproGe  := 2;
    IF NOT ok
     THEN
      BEGIN
       writeln;
       writeln('       Das Programm kann leider nicht gestartet werden !');
       writeln('        Bitte wenden Sie sich an den Service-Manager ! ');
       writeln;
      END;
  END;  (* initialisiere *)

(* ---------------------------------------------------------------------- *)

PROCEDURE Begruessung ;
 BEGIN
  loescheBildschirm;
  cur_off;
  writeln;
  writeln;
  writeln('                        Computerdichtung  ');
  writeln;
  writeln('     Gedichtgenerator, erstellt 1989 vom Kurs in-3.2 der ');
  writeln('     Droste-Hlshoff-Oberschule in Berlin 37');
  writeln;
  writeln('     A. John, Ch. Karsten, U. Schoop, J. v.Waldhausen, R. Wilks');
  writeln;
  writeln('     berarbeitet von A. Schmidt');
  writeln;
  writeln('     Mit <RETURN> geht es los!');
  readln;
  cur_on;
 END;  (* Begruessung *)

(* ---------------------------------------------------------------------- *)

PROCEDURE Hauptmenue ;

  VAR ende       : boolean;
      Wahl       : char;
  PROCEDURE Ausgabe;
   BEGIN
    baueGedicht (Werk, StrproGe);
    schrGedicht (Werk, StrproGe);
    spGedicht (Werk, StrproGe);
   END;

  PROCEDURE Format ;
   VAR Antwort  : char;
       Zahl1
		: integer;

   BEGIN
     loescheBildschirm;
     Cur_off;
     writeln;
     writeln;
     writeln('                Format ');
     writeln;
     writeln;
     writeln('      Gedichte sollen ganz induviduell sein.Deswegen darf ');
     writeln('      jeder sein Format whlen !');
     writeln;
     writeln('      Momentan ist das Format wie folgt eingestellt :');
     writeln;
     writeln('      Strophen pro Gedicht : ',StrproGe);
     writeln;
     repeat
       set_cursor (7, 14);
       write('Mchten Sie das Format ndern (j/n)? ');
       Cur_on;
       readln(Antwort);
     UNTIL Antwort in ['j','J','n','N','Y','y'];
     IF Antwort in ['j','J','Y','y']
        THEN BEGIN
          REPEAT
            cur_off;
            set_cursor (7, 16);
            write('Geben Sie die neue Strophenzahl ein (zwischen 1 und ', maxStrophen, '):');
            set_cursor (63, 16);
            cur_on;
            readln(Zahl1);
          UNTIL Zahl1 in [1..maxStrophen];
          set_cursor (7, 18);
          writeln ('Die Strophenzahl betrgt jetzt: ', Zahl1);
          set_cursor (7, 20);
          writeln ('Weiter mit <RETURN>');
          readln;
          StrproGe := Zahl1;
          END; {then}
   END;  { format }

  BEGIN      (*   Hauptmenue *)
    Ende := FALSE;
    REPEAT
      loescheBildschirm;
      cur_off;
      writeln;
      writeln;
      writeln;
      writeln('                         Hauptmen  ');
      writeln;
      writeln;
      writeln;
      writeln('                1    Gedicht ausgeben ');
      writeln('                2    uere Form des Gedichts auswhlen ');
      writeln('                3    Programm beenden  ');
      writeln;
      REPEAT
       set_cursor (17, 14);
       write('Bitte Wahl eingeben :');
       set_cursor (40, 14);
       cur_on;
       readln (Wahl);
      UNTIL Wahl in ['1','2','3'];
      CASE Wahl OF
	 '1'   : Ausgabe;
	 '2'   : Format;
	 '3'   : ende := true ;
	END;
    UNTIL ende ;
  END;  (* hauptmenue *)

(* ---------------------------------------------------------------------- *)

PROCEDURE ciao ;
  BEGIN
   loescheBildschirm;
   writeln;
   writeln;
   writeln('      Wir danken fr Ihr Interesse und wnschen') ;
   writeln('      Ihnen noch einen schnen Tag ! ');
   writeln;
   writeln;
   writeln;
   schliesse;
  END;  (* ciao *)

(**************************************************************************)

BEGIN   (*    Hauptprogramm  *)
  loescheBildschirm;
  initialisiere;
  IF ok
     THEN
       BEGIN
	Begruessung ;
	Hauptmenue;
	ciao ;
        readln;
       END
     ELSE BEGIN
       writeln ('Da stimmt was nicht!');
       readln;
       END;
END.

